English

FAQ: Why is there a prompt to upgrade an ArcSDE 9.3 geodatabase for SQL Server Express when connecting from an ArcGIS Desktop 9.2 client?

Question

Why is there a prompt to upgrade an ArcSDE 9.3 geodatabase for SQL Server Express when connecting from an ArcGIS Desktop 9.2 client?

Answer

A known issue exists in ArcCatalog 9.2 that allows the client to downgrade an ArcSDE 9.3 geodatabase for Microsoft® SQL Server® Express connected to from the Database Server node in the Catalog tree. This issue was fixed in ArcGIS Desktop Service Pack 4.

However, when using ArcCatalog with version ArcGIS Desktop 9.2 Service Pack 4 or 5, it still prompts for an upgrade when connecting to an ArcSDE 9.3 geodatabase for SQL Server Express. Clicking Yes or No on the upgrade prompt does not actually change the version of the geodatabase or the data.

Install ArcGIS Desktop 9.2 Service Pack 6; this release will not prompt for an upgrade when connecting from an earlier release client to a later release geodatabase.

Related Information